> ## Documentation Index
> Fetch the complete documentation index at: https://developers.tally.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Updating workspaces

> Updates a workspace's information by its ID.



## OpenAPI

````yaml PATCH /workspaces/{workspaceId}
openapi: 3.0.1
info:
  title: OpenAPI
  description: Tally's API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tally.so
security:
  - bearerAuth: []
paths:
  /workspaces/{workspaceId}:
    patch:
      summary: Update a workspace
      description: Updates a workspace's information by its ID.
      parameters:
        - name: workspaceId
          in: path
          required: true
          description: The ID of the workspace to update
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: The new name for the workspace
              required:
                - name
      responses:
        '204':
          description: Workspace updated successfully
        '400':
          description: Invalid request body
        '401':
          description: Unauthorized
        '404':
          description: Workspace not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````